Subject: bug#66699: zig: fail to link SDL2

From: Ekaitz Zarraga <[email-masked]>
Date: Sat, 11 Nov 2023 13:23:33 +0000

Hi,

I tracked this pretty far:

This is a related issue that mentions the `mepo` package:
https://github.com/ziglang/zig/issues/12170

And I realized the problem comes from `pkg-config`. It's telling zig to use the static library first.
Removing `pkg-config` from the `native-inputs` in your proposed package make it build but the `runpath` validation phase fails.

I'm not sure about what to do now.

In the issue the people working on freebsd-ports mention they did this:
https://github.com/freebsd/freebsd-ports/blob/16ada4d8d14a222bd92c4bf332d28b7c604af457/astro/mepo/Makefile#L31
But I don't know if we can replicate that.

I'll keep researching on this a little bit further.

Best,
Ekaitz